import request from '/@/utils/request';

/**
 * @summary 插入一个监测点（扩展）
 */
export const InsertMonitorPointExtensions = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Extensions/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 插入多个监测点（扩展
 */
export const InsertBulkMonitorPointExtensions = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Extensions/Inserts@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary  通过一组 id 获取测点（拓展）
 */
export const GetPointExtensionByIds = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Extensions/GetByIds@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 通过BelongType和BelongID 获取所有测点
 */
export const GetPointExtensionsByBelongTypeAndBelongID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Extensions/GetByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params: params,
	});
};
